- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_Pseudo_Out_T< T, T_var > Class Template Reference

Parametrized implementation of _out class for TypeCode, Object, AbstractBase, NamedValue, NVList, Principal, Request, Context, ORB, LocalObject, and Environment. More...

`#include <Pseudo_VarOut_T.h>`

Collaboration diagram for TAO_Pseudo_Out_T< T, T_var >:

[legend]
List of all members.

## Public Member Functions
| TAO_Pseudo_Out_T (T *&)
| TAO_Pseudo_Out_T (T_var &)
| TAO_Pseudo_Out_T (const TAO_Pseudo_Out_T< T, T_var > &)
TAO_Pseudo_Out_T< T, T_var > & | operator= (const TAO_Pseudo_Out_T< T, T_var > &)
TAO_Pseudo_Out_T< T, T_var > & | operator= (T *)
| operator T *& ()
T *& | ptr (void)
T * | operator-> (void)
## Private Member Functions
TAO_Pseudo_Out_T< T, T_var > & | operator= (const T_var &)
| Assignment from _var not allowed.
## Private Attributes
T *& | ptr_

## Detailed Description

### template<typename T, typename T_var>
class TAO_Pseudo_Out_T< T, T_var >

Parametrized implementation of _out class for TypeCode, Object, AbstractBase, NamedValue, NVList, Principal, Request, Context, ORB, LocalObject, and Environment.

## Constructor & Destructor Documentation

template<typename T, typename T_var>

ACE_INLINE TAO_Pseudo_Out_T< T, T_var >::TAO_Pseudo_Out_T | ( | T *& |  | ) |

template<typename T, typename T_var>

ACE_INLINE TAO_Pseudo_Out_T< T, T_var >::TAO_Pseudo_Out_T | ( | T_var & |  | ) |

template<typename T, typename T_var>

ACE_INLINE TAO_Pseudo_Out_T< T, T_var >::TAO_Pseudo_Out_T | ( | const TAO_Pseudo_Out_T< T, T_var > & |  | ) |

## Member Function Documentation

template<typename T, typename T_var>

ACE_INLINE TAO_Pseudo_Out_T< T, T_var >::operator T *& | ( |  | ) |

template<typename T, typename T_var>

ACE_INLINE T * TAO_Pseudo_Out_T< T, T_var >::operator-> | ( | void |  | ) |

template<typename T, typename T_var>

TAO_Pseudo_Out_T<T,T_var>& TAO_Pseudo_Out_T< T, T_var >::operator= | ( | const T_var & |  | ) | `[private]`

Assignment from _var not allowed.

template<typename T, typename T_var>

ACE_INLINE TAO_Pseudo_Out_T< T, T_var > & TAO_Pseudo_Out_T< T, T_var >::operator= | ( | T * |  | ) |

template<typename T, typename T_var>

ACE_INLINE TAO_Pseudo_Out_T< T, T_var > & TAO_Pseudo_Out_T< T, T_var >::operator= | ( | const TAO_Pseudo_Out_T< T, T_var > & |  | ) |

template<typename T, typename T_var>

ACE_INLINE T *& TAO_Pseudo_Out_T< T, T_var >::ptr | ( | void |  | ) |

## Member Data Documentation

template<typename T, typename T_var>

T*& TAO_Pseudo_Out_T< T, T_var >::ptr_`[private]`

The documentation for this class was generated from the following files:

- Pseudo_VarOut_T.h
- Pseudo_VarOut_T.inl